/**************************************************************************************************/

/*
 * File: linesegment.h
 * Author: Roman Lysecky
 * Date Created: 18 September 2012
 *
 * Description: Declaration for list element type to be utilized within a Single-Linked List
 *              of dynamically allocated strings.
 *
 * Copyright: Roman Lysecky, Electrical and Computer Engineering, University of Arizona, 2012.
 *
 */

/**************************************************************************************************/

#include "bool.h"

/**************************************************************************************************/

#ifndef LISTELMT_H
#define LISTELMT_H

/**************************************************************************************************/

typedef struct ListElmt_ {
   char * str;
   struct ListElmt_ *next;
} ListElmt;

/**************************************************************************************************/

#endif

/**************************************************************************************************/

